/* ld script for n0120, 2 files at 0x90300000 and 0x90400000 */
MEMORY {
                /* sram 0x24xxx for N0120, 0x20xxx for N0110/N0115 */   
  SRAM (rw) : ORIGIN = 0x24033000, LENGTH = 16K 
  FLASHA (rx) : ORIGIN = 0x90260000 + (0), LENGTH = 1M+512K+64K
  FLASHB (rx) : ORIGIN = 0x90400200 + (0), LENGTH = 4M-64K-0x200
}

SECTIONS {
  .entrypoint ORIGIN(FLASHB) : {
    KEEP(*(.entrypoint))
  } >FLASHB

  .init_array : {
    . = ALIGN(4);
    _init_array_start = .;
    KEEP (*(.init_array*))
    _init_array_end = .;
  } >FLASHB

  .text : {
    . = ALIGN(4);
    *(.text)
    *(.text.*)
  } >FLASHB

  .rodata : {
    . = ALIGN(4);
    *(.rodata)
    *(.rodata.*)
  } >FLASHA

  .ARM.exidx : {
    __exidx_start = .;
/*    *(.ARM.exidx* .gnu.linkonce.armexidx.*) */
    __exidx_end = .;
  } >FLASHB

  .data : {
    . = ALIGN(4);
    _data_section_start_flash = LOADADDR(.data);
    _data_section_start_ram = .;
    *(.data)
    *(.data.*)
    _data_section_end_ram = .;
  } >SRAM AT> FLASHB

  .bss : {
    . = ALIGN(4);
    _bss_section_start_ram = .;
    *(.bss)
    *(.bss.*)
    *(COMMON)
    _bss_section_end_ram = .;
  } >SRAM
        
	/DISCARD/ : {
		*(.debug_*) ;
		*(.comment) ;
	}
}
