/* ld script for n0120, 1 file at 0x90400000 */
MEMORY {
                /* sram 0x24xxx for N0120, 0x20xxx for N0110/N0115 */   
  SRAM (rw) : ORIGIN = 0x24033000, LENGTH = 16K 
  FLASH (rx) : ORIGIN = 0x90400200 + (0), LENGTH = 4M-0x200-64K /* should be 4M must disable micropython in Makefile */
}

SECTIONS {
  .entrypoint ORIGIN(FLASH) : {
    KEEP(*(.entrypoint))
  } >FLASH

  .init_array : {
    . = ALIGN(4);
    _init_array_start = .;
    KEEP (*(.init_array*))
    _init_array_end = .;
  } >FLASH

  .text : {
    . = ALIGN(4);
    *(.text)
    *(.text.*)
  } >FLASH

  .rodata : {
    . = ALIGN(4);
    *(.rodata)
    *(.rodata.*)
  } >FLASH

  .ARM.exidx : {
    __exidx_start = .;
/*    *(.ARM.exidx* .gnu.linkonce.armexidx.*) */
    __exidx_end = .;
  } >FLASH

  .data : {
    . = ALIGN(4);
    _data_section_start_flash = LOADADDR(.data);
    _data_section_start_ram = .;
    *(.data)
    *(.data.*)
    _data_section_end_ram = .;
  } >SRAM AT> FLASH

  .bss : {
    . = ALIGN(4);
    _bss_section_start_ram = .;
    *(.bss)
    *(.bss.*)
    *(COMMON)
    _bss_section_end_ram = .;
  } >SRAM
}
